Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980126 - Impossible to use existing /home on LVM
Summary: Impossible to use existing /home on LVM
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-01 13:22 UTC by Martin Bříza
Modified: 2013-07-16 00:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-16 00:54:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Bříza 2013-07-01 13:22:49 UTC
Description of problem:
When installing from Fedora 19 RC3 netinstall iso, I can't make anaconda use my previously created LVM/LUKS partition where my /home mountpoint is.

Version-Release number of selected component (if applicable):
Fedora 19 RC3 netinstall

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 16 with the following LVM partitions: root, home (LUKS), swap.
2. Upgrade to Fedora 17, add some LVM partitions in the meantime.
3. Upgrade to Fedora 18, add some more LVM partitions.
4. Decide to install the next release anew to be sure everything is fine and clean.

Actual results:
Can't use my pre-existing /home as the current /home partition without formatting the whole drive, not mentioning the fact I can't change my LVM layout at all from the installer.
When I return from the disk configuration, I get the following error message:
 you have not created a bootloader stage1 target device
 sda1 must have one of the following disklabel types: gpt.

Expected results:
Clean usage of existing partitions.

Additional info:
I tried adding a small biosboot partition instead of my previous 500MB /boot on sda1 and reducing the size of /boot as some discussions say but it didn't help.
When I tried using the installer to create the partitions automatically for me, it created a new partition table (gpt) on the disk... This option doesn't seem to be anywhere to be triggered manually by the user and I think Fedora 19 should be installable even without this as the previous releases didn't require it and I'm pretty sure the system would run fine if I simply upgraded it.
To make it clear, I'm reusing the exact same /, /home, /boot and swap  partitions I was using in the previous installation, only formatting the / to have it clean.

Comment 1 David Shea 2013-07-05 18:25:10 UTC
Martin, did you boot the F19 in EFI mode or BIOS? A GPT disk label is required in EFI mode. If you want to use your existing partitions with a fresh F19 install, you will need to configure your system to boot in BIOS mode.

Comment 2 Martin Bříza 2013-07-11 09:17:01 UTC
David, well, from this it's hard to tell unfortunately if I did. In BIOS settings, I have selected to use both, preferring to boot in EFI mode, yet when the OS image is being loaded from the flash drive, there is message, something along the lines of "EFI boot not enabled", displayed on the terminal.
I won't be able to reproduce the behavior again though, as I already made a new clean (including new partitions) install of the system.

Anyway, even if I actually booted in EFI mode, I think it would be at least nice to somehow notify the user he can't use his previous partition table as he's in EFI mode - even with extensive googling, I couldn't find any information on what exactly does the cryptic message in the installer mean.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.